## com.google.appengine.api.mail
Class MailService.Header

    java.lang.Object
      com.google.appengine.api.mail.MailService.Header

Enclosing interface:
  MailService

    public static class MailService.Header

extends java.lang.Object

Constructor Summary
`MailService.Header(java.lang.String name, java.lang.String value)` Headers are an optional part of messages, but if present, all information about them must be provided.

Method Summary
`java.lang.String` `getName()` Gets the name of this header.
`java.lang.String` `getValue()` Gets the value of this header.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailService.Header

    public MailService.Header(java.lang.String name,
                              java.lang.String value)

  Headers are an optional part of messages, but if present, all information about them must be provided.

  Parameters:
    `name` - The name of the header. It must be present and white-listed.
    `value` - The value of the header. It must be present, and it's content cannot be of zero length.
  Throws:
    `java.lang.IllegalArgumentException` - if either name or data are missing.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this header.

  Returns:
    The name of this header.

### getValue

    public java.lang.String getValue()

  Gets the value of this header.

  Returns:
    The value of this header.